Sync lensfun 0.2.4-1 (main) from Debian unstable (main)

Bug #589625 reported by Felix Geyer on 2010-06-04
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
lensfun (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync lensfun 0.2.4-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
0.2.3-0ubuntu3 is a snapshot of an earlier version of the debian package.
After that the patches 10-makedep-fix-ftbfs and 20-enum-sentinel were added
in the ubuntu package.
These were picked up by debian but droppped after upgrading to a new upstream
version (see 0.2.4-1 changelog).

Changelog entries since current maverick version 0.2.3-0ubuntu7:

lensfun (0.2.4-1) unstable; urgency=low

  * New upstream release

  [ Didier Raboud ]
  * In debian/control, write a new common description for the binary packages
    (Closes: #522168)

  [ Stefan Potyra ]
  * Add 10-makedep-fix-ftbfs patch to fix FTBFS.
  * Add 20-enum-sentinel patch to have g++-4.4 not remove the otherwise
    unreachable code handling out-of-bounds enum values via the
    c-wrapper functions. LP: #433368.

  [ Pascal de Bruijn ]
  * Drop all previous lensfun database patches.
  * Add 90-lensfun-db-update-rel-to-svn65 patch, to update the lensfun
    database to revision 65 of lensfun svn.
  * Add 91-lensfun-db-update-svn65-to-pmjdebruijn patch, to update the
    lensfun database from revision 65 to pmjdebruijn's local tree.

  [ Mark Purcell ]
  * Update debian/watch
  * Drop debian/patches & dpatch as included upstream 0.2.4

 -- Mark Purcell <email address hidden> Mon, 26 Oct 2009 08:12:51 +1100

lensfun (0.2.3-2) unstable; urgency=low

  [ Luka Renko ]
  * rules: add --libdir=/usr/lib to ./configure for amd64 libraries.
    (Closes: #516657)
  * Update debian/liblensfun0.symbols to match all symbols.

  [ Pascal de Bruijn ]
  * Added patches:
    - 01-lensfun-db-cameras-generic (APS-H, FourThirds)
    - 02-lensfun-db-cameras-canon (5DmkII, 50D, 30D)
    - 03-lensfun-db-cameras-nikon (D40, D40X, D60, D80, D90, D700, D3, D3X)
    - 04-lensfun-db-cameras-pentax (K100D, K200D, K10D, K20D)
    - 05-lensfun-db-cameras-samsung (GX20)
  * Split up the data package into a data and doc package.

  [ Mark Purcell ]
  * Update Maintainer: Debian KDE Extras Team.

 -- Debian KDE Extras Team <email address hidden> Thu, 19 Mar 2009 23:26:51 +0100

lensfun (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #509242)

 -- Mark Purcell <email address hidden> Wed, 07 Jan 2009 09:47:45 +1100

Benjamin Drung (bdrung) on 2010-06-05
Changed in lensfun (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lensfun - 0.2.4-1

---------------
lensfun (0.2.4-1) unstable; urgency=low

  * New upstream release

  [ Didier Raboud ]
  * In debian/control, write a new common description for the binary packages
    (Closes: #522168)

  [ Stefan Potyra ]
  * Add 10-makedep-fix-ftbfs patch to fix FTBFS.
  * Add 20-enum-sentinel patch to have g++-4.4 not remove the otherwise
    unreachable code handling out-of-bounds enum values via the
    c-wrapper functions. LP: #433368.

  [ Pascal de Bruijn ]
  * Drop all previous lensfun database patches.
  * Add 90-lensfun-db-update-rel-to-svn65 patch, to update the lensfun
    database to revision 65 of lensfun svn.
  * Add 91-lensfun-db-update-svn65-to-pmjdebruijn patch, to update the
    lensfun database from revision 65 to pmjdebruijn's local tree.

  [ Mark Purcell ]
  * Update debian/watch
  * Drop debian/patches & dpatch as included upstream 0.2.4

lensfun (0.2.3-2) unstable; urgency=low

  [ Luka Renko ]
  * rules: add --libdir=/usr/lib to ./configure for amd64 libraries.
    (Closes: #516657)
  * Update debian/liblensfun0.symbols to match all symbols.

  [ Pascal de Bruijn ]
  * Added patches:
    - 01-lensfun-db-cameras-generic (APS-H, FourThirds)
    - 02-lensfun-db-cameras-canon (5DmkII, 50D, 30D)
    - 03-lensfun-db-cameras-nikon (D40, D40X, D60, D80, D90, D700, D3, D3X)
    - 04-lensfun-db-cameras-pentax (K100D, K200D, K10D, K20D)
    - 05-lensfun-db-cameras-samsung (GX20)
  * Split up the data package into a data and doc package.

  [ Mark Purcell ]
  * Update Maintainer: Debian KDE Extras Team.

lensfun (0.2.3-1) unstable; urgency=low

  * Initial release (Closes: #509242)
 -- Felix Geyer <email address hidden> Mon, 26 Oct 2009 08:12:51 +1100

Changed in lensfun (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers